Virtual Requirements

Specific requirements for utilizing the Virtual Portal:

  • Google Chrome (Version 28 and above)
  • FireFox (Version 23 and above)
  • Note* Steps to look up version of Chrome and Firefox are posted below
  • Current functioning Webcam and microphone
  • Note* If user is utilizing external camera and or microphone then they must choose the device they want active to utilize for the portal. (To Change settings on browsers, user can can go to  On Chrome: chrome://settings/content#media-stream-mic) (On Firefox: media.navigator.permission.disabled=false)

Steps for looking up version of Firefox:

On Mac:

  1. Click on Firefox in the menu bar
  2. In the drop-down menu click on About FireFox
  3. On new window the current version of Firefox will be highlighted in Bold

On PC:

  1. Click on Help in the menu bar
  2. In the drop-down menu click on About Firefox
  3. On new window the current version of Firefox will be highlighted in Gray

Steps for looking up version of Google Chrome

On Mac:

  1. Open up Chrome web Browser
  2. Above the menu bar click on Chrome
  3. Click on About Chrome
  4. In new window the current version of Chrome is highlighted in Gray

On PC:

  1. Open up Chrome
  2. In the top right hand corner click on the Spanner Menu Button (wrench icon)
  3. A drop down will open and click on About Chrome
  4. In the new window the current version of Chrome is highlighted in Gray